# Open Source Games

A collection of open source games sorted by genre. The projects are at least in beta stage with a code basis that builds
into an executable demo. Related infos and tips geared toward building the games are collected here. Emphasis is on
support for Windows, Linux and Android.

Motivation: I want to improve the process of building open source games, maybe even rescuing some lost projects.
I concentrate on the hardware/software platforms that I have access to.

See also the list of [popular games on Github](https://github.com/leereilly/games) by Lee Reilly.

## Contents

- [Adventure games & Visual novels](adventure/_toc.md) (8)
- [Game frameworks](framework/_toc.md) (44)
- [Popular required libraries](library/_toc.md) (19)
- [Role Playing Games](rpg/_toc.md) (7)
- [Simulation games](simulation/_toc.md) (8)
- [Strategy games](strategy/_toc.md) (29)

## Contributing

If you'd like to add something, please [create an Issue](https://github.com/Trilarion/opensourcegames/issues),
or fork this repository and submit a pull request.

Help: [MarkDown Help](https://help.github.com/articles/github-flavored-markdown), [Markdown Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)

## Background

I love open source projects and games and I currently learn about building systems. I see the following benefits of this database
and further actions I intend to do.

- General information about open source games
- Possibility of improving build instructions on the projects side (not all projects actually have build instructions)
- Simplifying builds
- Adding infrastructure for automatic testing and deploying where not already present
- Revival of abandoned games that do not build anymore
- Simplifying dependencies
- Increasing the number of supported platforms

## Disclaimer
 
 No warranty whatsoever of the information presented herein for any purpose. There could be errors in here.

## License

This documentation is licensed under the [WTFPL](LICENSE) license. This means you are free to do whatever you want with it.

